import Card from '@/components/Card';
import { BaseMediaUrl } from '@/constants/constants';
import { useIncidentStore } from '@/store';
import { time } from 'console';
import {
  computed,
  defineComponent,
  onMounted,
  onUnmounted,
  ref,
} from 'vue-demi';
// @ts-ignore
import fdimg from '@/assets/temp.png';

export default defineComponent({
  name: 'LiveMonitoringCard',
  setup() {
    const store = useIncidentStore();

    const liveRef = ref<HTMLElement>();
    const timer = ref();
    const current = ref(0);


    return () => (
      <Card cardType="live-monitoring">
        <div class="livec">
          <div id="relvideo1"  style="width: 100%;height: 100%;padding:10px;padding-bottom:18px">
           <img
            style="width: 100%;height: 100%;"
            // src={fdimg}
            src="https://img1.baidu.com/it/u=1650334584,1209303936&fm=253&fmt=auto&app=120&f=JPEG?w=1129&h=642"

          /> 


          </div>
         
        </div>
        <div class="livec">
        <div id="relvideo2"  style="width: 100%;height: 100%;padding:10px;padding-bottom:18px">
           <img
            style="width: 100%;height: 100%;"
            // src={fdimg}
            src="https://img1.baidu.com/it/u=1650334584,1209303936&fm=253&fmt=auto&app=120&f=JPEG?w=1129&h=642"

          /> 


          </div>
        </div>
      </Card>
    );
  },
});
